<?php

namespace src\inputs;

use src\traits\CreateParams;
class Label
{
    use CreateParams;

    private string $title;

    private array $paramsArray;

    /**
     * @param string $title
     * @param array $paramsArray
     */
    public function __construct(string $title, array $paramsArray = [])
    {
        $this->title = $title;
        $this->paramsArray = $paramsArray;
    }

    /**
     * @return void
     */
    public function create(): void
    {
        $paramsString = $this->createParams($this->paramsArray);
        echo "<label $paramsString >$this->title</label>";

    }

    /**
     * @param string $title
     * @param array $paramsArray
     * @return void
     */
    public static function build(string $title, array $paramsArray = [])
    {
        $label = new self($title, $paramsArray);
        $label->create();

    }



}